libshevek

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions
shevek::dir Class Reference

Get information about files in a directory. More...

`#include <dir.hh>`

List of all members.

## Classes

struct | file
| Information about a single file in a directory. More...

## Public Types

typedef std::set< file > | store
| Storage of the files.
typedef store::const_iterator | const_iterator
| Iterator for looping over the files.

## Public Member Functions

| dir ()
| Create an empty directory object.
| dir (std::string const &path)
| Create a directory object and load content into it.
void | load (std::string const &path)
| Load new content into an existing directory object.
const_iterator | begin () const
| Loop over the files.
const_iterator | end () const
| Loop over the files.
unsigned | size () const
| Number of files in the directory.

## Detailed Description

Get information about files in a directory.

The documentation for this class was generated from the following file:

- src/dir.hh